Subject: Re: [bitcoin-dev] Completing the retirement of the alert system

From: Gregory Maxwell <[email-masked]>
Date: Sat, 10 Sep 2016 01:48:40 +0000

On Sat, Sep 10, 2016 at 12:58 AM, Peter Todd <[email-masked]> wrote:
> Good to do this sooner rather than later, as alert propagation on the P2P
> network is going to continue to get less reliable as nodes upgrade to software

Yes, this was one of my motivations for doing this soon.

It would only require about 2 LOC to have Bitcoin Core vomit out a
blob containing the final alert to any old protocol version peers that
connect.  I don't know how other people would feel about that, but I
wouldn't mind implementing it, and it would greatly improve the
likelihood that they continue to to get once propagation of it is
gone. This could be left in the codebase for a couple years or until
other changes made those old versions p2p incompatible for other
reasons.